package org.test;

import java.util.Properties;

import javax.naming.Context;
import javax.naming.InitialContext;
import javax.naming.NamingException;

import com.test.out.OutData;
import com.test.stateless.RemoteCalculator;

public class MyEJBUtil {

	
	public static RemoteCalculator getEJBRemote() throws NamingException {
		
		Properties props = new Properties();
        props.put(Context.INITIAL_CONTEXT_FACTORY, "weblogic.jndi.WLInitialContextFactory");
        props.put(Context.PROVIDER_URL, "t3://localhost:7001"); 
        props.put(Context.SECURITY_PRINCIPAL, "weblogic");
        props.put(Context.SECURITY_CREDENTIALS, "#Password1");
		InitialContext ctx = new InitialContext(props);
		RemoteCalculator rc = (RemoteCalculator) ctx.lookup("CalculatorBean#com.test.stateless.RemoteCalculator");
		return rc;
	}
	
	
	public static void main(String[] args) throws NamingException {
		RemoteCalculator ejbRemote = getEJBRemote();
		OutData responseFrom = ejbRemote.responseFrom();
		System.out.println(responseFrom);
	}
}
